13.2. Initial Setup
<<< Prev | Chapter 13. Accounts Payable | Next >>>

## 13.2. Initial Setup

To setup GnuCash to work with handling accounts payable for a company, there are 2 preliminary things that must be done. The first thing to do is to build an appropriate Account Hierarchy and the second is to register the company in GnuCash.

### 13.2.1. Account Setup

There are many different ways to setup a business account hierarchy. You can start with the Business Accounts setup which is available from the New Account druid, or you could build one manually. To access the prebuilt Business Accounts, start GnuCash and click on File -> New File and proceed until you see the list of available accounts, select Business Accounts.

Most likely, the prebuilt Business Account hierarchy will not be perfect for your needs, you will need to perform some amount of manual adjustments for the accounts to function well with your situation. This chapter will present example account structures which you can add to your existing accounts.

Accounts Payable (or A/P) refers to products or services bought by the company for which payment has not yet been sent. This is represented on the balance sheet as a liability, because the expectation is that you will have to pay for it. To use GnuCash's integrated accounts payable system, you must first setup an account (usually a sub-account under Liabilities) defined with account type A/Payable. It is within this account that the integrated A/P system will place transactions.

Basic A/P Account Hierarchy:
-Assets
-Bank
-Liabilities
-Accounts Payable
-Expenses
-AP Expenses

| Note
Note that you will need to add real asset accounts and real expense accounts to this hierarchy. But, the most important aspects of this hierarchy are that you need an expense account and an Accounts Payable account, with account type set to A/Payable.

### 13.2.2. Register Your Company in GnuCash

After you have built your account structure, you will want to register the GnuCash file as belonging to your company. To do so, add your Business Name, Address and GST number. Click on File -> Properties. Type the Business name and address, add an empty line and add the GST number: “GST: 1234-5678RT”. Click OK.

<<< Prev | Home | Next >>>
13.1. Basic Concepts | Up | 13.3. System Components